# Frontend

Shardus does not have any opinion about how you should implement your frontend application. As long as the transaction requests submitted through your frontend are valid, everything should work the same regardless. That being said, it's easier to first implement and test the transactions using a [CLI](./cli.html) before building the frontend. Once everything is working with your CLI, simply copy the same logic from the CLI commands over to your frontend.
